package com.topsail.uartBackend.core;

import java.util.ArrayList;
import java.util.List;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * <描述>
 *
 * @author lj
 * @date 2022/07/19  14:34
 */
public class CodeMsg {

    private int code;
    private String msg;

    //通用的错误码
    public static CodeMsg SUCCESS = new CodeMsg(0, "success");
    public static CodeMsg FAILED = new CodeMsg(502, "failed");
    public static CodeMsg TOKEN_EXPIRED = new CodeMsg(400, "token过期");
    public static CodeMsg TOKEN_INVALID = new CodeMsg(502, "token解析异常");
    public static CodeMsg USER_NOT_LOGGED_IN = new CodeMsg(402, "未登录，请登录！");
    public static CodeMsg SIGNATURE_ERROR = new CodeMsg(506, "签名失败");
    public static CodeMsg SERVER_ERROR = new CodeMsg(500, "服务端异常");
    public static CodeMsg FILE_ERROR = new CodeMsg(501, "文件不存在");
    public static CodeMsg FILE_EXIST = new CodeMsg(5012, "文件已存在");
    public static CodeMsg TIME_ERROR = new CodeMsg(502, "时间格式错误,应为 yyyy-MM-dd HH:mm:ss");
    public static CodeMsg DUPLICATEKEY_ERROR = new CodeMsg(502, "IMEI已注册");
    public static CodeMsg TIMEMISS_ERROR = new CodeMsg(503, "查询时间缺失，应为 yyyy-MM-dd HH:mm:ss");
    public static CodeMsg BIND_ERROR = new CodeMsg(504, "参数绑定异常");
    public static CodeMsg CONTROL_ERROR = new CodeMsg(505, "命令下发失败，请检查设备相关信息是否存在或正确以及参数输入是否正确");

    private CodeMsg() {
    }

    public CodeMsg(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    /**
     * 返回带参数的错误码
     * @param args
     * @return
     */
    public CodeMsg fillArgs(Object... args) {
        int code = this.code;
        String message = String.format(this.msg, args);
        return new CodeMsg(code, message);
    }

    @Override
    public String toString() {
        return "CodeMsg [code=" + code + ", msg=" + msg + "]";
    }

    public static void main(String[] args) {
        //String regex="^[+-@=](.*?)\\d$";
        //String regex="^[\\u4e00-\\u9fa5]{0,}(.*?)\\d$";
        String regex="(.*?)\\d+(\\.\\d+)?(.*?)\\d+(\\.\\d+)?";
        String regex2="[\\u4e00-\\u9fa5](.*?：)[\\u4e00-\\u9fa5]?";//匹配所有汉字
        String a="北一层：17*7.5\n东房：6.3*3";
        Pattern p = Pattern.compile(regex);
        Matcher m = p.matcher(a);
        List<String> result=new ArrayList<String>();
        while(m.find()) {
            System.out.println(m.group());
            result.add(m.group());
        }
        System.out.println(result.toString());
    }
}
