package com.topsail.uartBackend.core;

import cn.hutool.core.date.DateField;
import cn.hutool.core.date.DateTime;
import cn.hutool.core.exceptions.ValidateException;
import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;
import cn.hutool.jwt.JWT;
import cn.hutool.jwt.JWTValidator;
import cn.hutool.jwt.signers.JWTSignerUtil;
import com.topsail.uartBackend.user.entity.User;

import java.nio.charset.StandardCharsets;
import java.util.HashMap;
import java.util.Map;

/**
 * <描述>
 *
 * @author lj
 * @date 2022/07/19  14:45
 */
public class JwtUtil {
    private final static String TOKEN_KEY = "DJASNCSALKNASNNHAbvkslmm1161";


    public static String getToken(User user){
        DateTime newTime = DateTime.now().offsetNew(DateField.SECOND, 60 * 60 * 24);
        Map<String,Object>map = new HashMap<>();
        map.put("user",user);
        String token = JWT.create()
                .addPayloads(map)
                .setSigner(JWTSignerUtil.hs512(TOKEN_KEY.getBytes()))
                .setExpiresAt(newTime)
                .sign();
        return "Bearer "+token;
    }

    public static User getUserFromToken(String token){
        return JSONUtil.toBean((JSONObject)JWT.of(token.split(" ")[1]).getPayloads().get("user"),User.class);
    }

    public static void validateToken(String token){

        try {
            String newToken = token.split(" ")[1];
            JWTValidator.of(newToken)
                    .validateAlgorithm(JWTSignerUtil.hs512(TOKEN_KEY.getBytes()))
                    .validateDate(DateTime.now());
        }catch (ValidateException ex){
            throw new ValidateException("token异常！");
        }
    }

}
