package com.topsail.uartBackend.core;

import com.github.pagehelper.PageInfo;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <描述>
 *
 * @author lj
 * @date 2022/07/19  14:38
 */
public class Result<T> {
    private int code;
    private String msg = "success";
    private T data;


    /**
     *  成功时候的调用
     * */
    public static<T> Result<T> success(T data){
        return new Result<T>(CodeMsg.SUCCESS,data);
    }

    /**
     *  失败时候的调用
     * */
    public static  <T> Result<T> error(CodeMsg codeMsg){
        return new Result<T>(codeMsg);
    }

    public static<T> Map<String,Object> returnPageMap(List<T> t){
        PageInfo<T> pageInfo=new PageInfo(t);
        int count=(int)pageInfo.getTotal();
        Map<String,Object> map=new HashMap<>();
        map.put("list", new ArrayList(pageInfo.getList()));
        map.put("count",count);
        return map;
    }

    private Result(CodeMsg codeMsg) {
        if(codeMsg != null) {
            this.code = codeMsg.getCode();
            this.msg = codeMsg.getMsg();
        }
    }

    private Result(CodeMsg codeMsg,T data){
        this.code = codeMsg.getCode();
        this.msg = codeMsg.getMsg();
        this.data = data;
    }


    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public T getData() {
        return data;
    }

    public void setData(T data) {
        this.data = data;
    }

    @Override
    public String toString() {
        return "Result{" +
                "code=" + code +
                ", msg='" + msg + '\'' +
                ", data=" + data +
                '}';
    }
}
