
package com.topsail.uartBackend.uart.controller;


import com.topsail.uartBackend.core.CodeMsg;
import com.topsail.uartBackend.uart.service.CommandCollectionService;
import com.topsail.uartBackend.uart.entity.CommandCollection;
import org.springframework.web.bind.annotation.*;
import org.springframework.beans.factory.annotation.Autowired;
import com.topsail.uartBackend.core.Result;



/**
*
* Created by lj on '2022-08-01 14:14:15'.
*/
@RestController
//@RequestMapping("/command-collection")
@RequestMapping("commandCollection")

public class CommandCollectionController {

    @Autowired
    private CommandCollectionService commandCollectionService;

    /**
    * 新增
    */
    @PostMapping("/insertCommandCollection")
    public Result insertCommandCollection( @RequestBody CommandCollection commandCollection){
        boolean rsp= commandCollectionService.save(commandCollection);
        return rsp?Result.success("成功"):Result.error(new CodeMsg(502,"失败"));
    }

    /**
    * 删除
    */
    @DeleteMapping("/deleteCommandCollection/{id}")
       public Result deleteCommandCollection(@PathVariable Integer id){
        boolean rsp= commandCollectionService.removeById(id);
        return rsp?Result.success("成功"):Result.error(new CodeMsg(502,"失败"));
    }

    /**
    * 更新
    */
    @PutMapping("/updateCommandCollection")
    public Result updateCommandCollection(@RequestBody CommandCollection commandCollection){
        boolean rsp= commandCollectionService.updateById(commandCollection);
        return rsp?Result.success("成功"):Result.error(new CodeMsg(502,"失败"));
    }



    /**
    * 分页查询
    */
    @GetMapping("/getCommandCollectionList")

    public Result pageList(CommandCollection commandCollection,@RequestParam(required = false,defaultValue = "1")Integer pageNo, @RequestParam(required = false,defaultValue = "10")Integer pageSize) {

        return Result.success(Result.returnPageMap(commandCollectionService.pageList(commandCollection,pageNo,pageSize)));
    }

}
