
package com.topsail.uartBackend.uart.controller;


import com.topsail.uartBackend.core.CodeMsg;
import com.topsail.uartBackend.uart.entity.DeviceCommand;
import com.topsail.uartBackend.uart.service.CommandDetailService;
import com.topsail.uartBackend.uart.entity.CommandDetail;
import com.topsail.uartBackend.uart.service.DeviceCommandService;
import org.springframework.web.bind.annotation.*;
import org.springframework.beans.factory.annotation.Autowired;
import com.topsail.uartBackend.core.Result;

import javax.annotation.Resource;
import java.util.List;


/**
*
* Created by lj on '2022-08-01 14:14:15'.
*/
@RestController
//@RequestMapping("/command-detail")
@RequestMapping("commandDetail")

public class CommandDetailController {

    @Autowired
    private CommandDetailService commandDetailService;

    @Resource
    private DeviceCommandService deviceCommandService;

    /**
    * 新增
    */
    @PostMapping("/insertCommandDetail")
    public Result insertCommandDetail(@RequestBody DeviceCommand deviceCommand){
        deviceCommandService.insertList(deviceCommand);
        return Result.success("成功");
    }

    /**
    * 删除
    */
    @DeleteMapping("/deleteCommandDetail/{id}")
       public Result deleteCommandDetail(@PathVariable Integer deviceDetailId){
        deviceCommandService.deleteByDevice(deviceDetailId);

        return Result.success("成功");
    }

    /**
    * 更新
    */
    @PutMapping("/updateCommandDetail")
    public Result updateCommandDetail(List<DeviceCommand>deviceCommands){
        deviceCommandService.updateList(deviceCommands);
        return Result.success("成功");
    }



    /**
    * 分页查询
    */
    @GetMapping("/getCommandDetailList")

    public Result pageList(CommandDetail commandDetail,@RequestParam(required = false,defaultValue = "1")Integer pageNo, @RequestParam(required = false,defaultValue = "10")Integer pageSize) {

        return Result.success(Result.returnPageMap(commandDetailService.pageList(commandDetail,pageNo,pageSize)));
    }

}
