
package com.topsail.uartBackend.uart.controller;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.topsail.uartBackend.core.CodeMsg;
import com.topsail.uartBackend.uart.service.CommandTypeService;
import com.topsail.uartBackend.uart.entity.CommandType;
import org.springframework.web.bind.annotation.*;
import org.springframework.beans.factory.annotation.Autowired;
import com.topsail.uartBackend.core.Result;



/**
*
* Created by lj on '2022-08-01 14:14:15'.
*/
@RestController
//@RequestMapping("/command-type")
@RequestMapping("commandType")

public class CommandTypeController {

    @Autowired
    private CommandTypeService commandTypeService;

    /**
    * 新增
    */
    @PostMapping("/insertCommandType")
    public Result insertCommandType( @RequestBody CommandType commandType){

        CommandType commandType1 = commandTypeService.selectByTypeId(commandType.getTypeId());
       if (null!=commandType1){
           return Result.error(new CodeMsg(502,"类型ID重复！"));
       }
        boolean rsp= commandTypeService.save(commandType);
        return rsp?Result.success("成功"):Result.error(new CodeMsg(502,"失败"));
    }

    /**
    * 删除
    */
    @DeleteMapping("/deleteCommandType/{id}")
       public Result deleteCommandType(@PathVariable Integer id){
        boolean rsp= commandTypeService.removeById(id);
        return rsp?Result.success("成功"):Result.error(new CodeMsg(502,"失败"));
    }

    /**
    * 更新
    */
    @PutMapping("/updateCommandType")
    public Result updateCommandType(@RequestBody CommandType commandType){
        boolean rsp= commandTypeService.updateById(commandType);
        return rsp?Result.success("成功"):Result.error(new CodeMsg(502,"失败"));
    }



    /**
    * 分页查询
    */
    @GetMapping("/getCommandTypeList")

    public Result pageList(CommandType commandType,@RequestParam(required = false,defaultValue = "1")Integer pageNo, @RequestParam(required = false,defaultValue = "10")Integer pageSize) {

        return Result.success(Result.returnPageMap(commandTypeService.pageList(commandType,pageNo,pageSize)));
    }

}
