
package com.topsail.uartBackend.uart.controller;


import com.topsail.uartBackend.core.CodeMsg;
import com.topsail.uartBackend.uart.service.DeviceCommandService;
import com.topsail.uartBackend.uart.entity.DeviceCommand;
import org.springframework.web.bind.annotation.*;
import org.springframework.beans.factory.annotation.Autowired;
import com.topsail.uartBackend.core.Result;



/**
*
* Created by lj on '2022-08-01 14:14:15'.
*/
@RestController
//@RequestMapping("/device-command")
@RequestMapping("deviceCommand")

public class DeviceCommandController {

    @Autowired
    private DeviceCommandService deviceCommandService;

    /**
    * 新增
    */
    @PostMapping("/insertDeviceCommand")
    public Result insertDeviceCommand( @RequestBody DeviceCommand deviceCommand){
        boolean rsp= deviceCommandService.save(deviceCommand);
        return rsp?Result.success("成功"):Result.error(new CodeMsg(502,"失败"));
    }

    /**
    * 删除
    */
    @DeleteMapping("/deleteDeviceCommand/{id}")
       public Result deleteDeviceCommand(@PathVariable Integer id){
        boolean rsp= deviceCommandService.removeById(id);
        return rsp?Result.success("成功"):Result.error(new CodeMsg(502,"失败"));
    }

    /**
    * 更新
    */
    @PutMapping("/updateDeviceCommand")
    public Result updateDeviceCommand(@RequestBody DeviceCommand deviceCommand){
        boolean rsp= deviceCommandService.updateById(deviceCommand);
        return rsp?Result.success("成功"):Result.error(new CodeMsg(502,"失败"));
    }



    /**
    * 分页查询
    */
    @GetMapping("/getDeviceCommandList")

    public Result pageList(DeviceCommand deviceCommand,@RequestParam(required = false,defaultValue = "1")Integer pageNo, @RequestParam(required = false,defaultValue = "10")Integer pageSize) {

        return Result.success(Result.returnPageMap(deviceCommandService.pageList(deviceCommand,pageNo,pageSize)));
    }

}
