
package com.topsail.uartBackend.uart.controller;


import com.topsail.uartBackend.core.CodeMsg;
import com.topsail.uartBackend.uart.entity.DeviceCommand;
import com.topsail.uartBackend.uart.service.DeviceCommandService;
import com.topsail.uartBackend.uart.service.DeviceConfigDetailService;
import com.topsail.uartBackend.uart.entity.DeviceConfigDetail;
import org.springframework.web.bind.annotation.*;
import org.springframework.beans.factory.annotation.Autowired;
import com.topsail.uartBackend.core.Result;

import javax.annotation.Resource;


/**
*
* Created by lj on '2022-08-01 14:14:15'.
*/
@RestController
//@RequestMapping("/device-config-detail")
@RequestMapping("deviceConfigDetail")

public class DeviceConfigDetailController {

    @Autowired
    private DeviceConfigDetailService deviceConfigDetailService;

    @Resource
    private DeviceCommandService deviceCommandService;
    /**
    * 新增
    */
    @PostMapping("/insertDeviceConfigDetail")
    public Result insertDeviceConfigDetail( @RequestBody DeviceConfigDetail deviceConfigDetail){
        boolean rsp= deviceConfigDetailService.save(deviceConfigDetail);
        return rsp?Result.success("成功"):Result.error(new CodeMsg(502,"失败"));
    }

    /**
    * 删除
    */

    @DeleteMapping("/deleteDeviceConfigDetail/{id}")
       public Result deleteDeviceConfigDetail(@PathVariable Integer id){
        deviceCommandService.deleteByDevice(id);
        boolean rsp= deviceConfigDetailService.removeById(id);
        return rsp?Result.success("成功"):Result.error(new CodeMsg(502,"失败"));
    }

    /**
    * 更新
    */
    @PutMapping("/updateDeviceConfigDetail")
    public Result updateDeviceConfigDetail(@RequestBody DeviceConfigDetail deviceConfigDetail){
        boolean rsp= deviceConfigDetailService.updateById(deviceConfigDetail);
        return rsp?Result.success("成功"):Result.error(new CodeMsg(502,"失败"));
    }



    /**
    * 分页查询
    */
    @GetMapping("/getDeviceConfigDetailList")

    public Result pageList(DeviceConfigDetail deviceConfigDetail,@RequestParam(required = false,defaultValue = "1")Integer pageNo, @RequestParam(required = false,defaultValue = "10")Integer pageSize) {

        return Result.success(Result.returnPageMap(deviceConfigDetailService.pageList(deviceConfigDetail,pageNo,pageSize)));
    }

}
