package com.topsail.uartBackend.uart.entity;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
    * 指令集合表
    * </p>
 *
 * @author lj
 * @since 2022-08-01
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class CommandCollection implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
     private Integer id ;


    /**
     * 指令大类ID
     */
     private Integer commandType ;


    /**
     * 大类名称
     */
     private String typeName ;


    /**
     * 指令名称
     */
     private String commandName ;


    /**
     * 具体指令（一般为四位）
     */
     private String commandDetail ;


    /**
     * 指令参数格式
     */
     private String commandFormat ;


    /**
     * 指令示例
     */
     private String commandExample ;


    /**
     * 输入类型（btn（按钮），input(输入框)，select(固定值选择)）
     */
     private String inputType ;


    /**
     * 为固定值选择的时候，需要获取选择内容key,value形式
     */
     private String inputValue ;


    /**
     * 取值最小值
     */
     private String minValue ;


    /**
     * 取值最大值
     */
     private String maxValue ;


    /**
     * 取值单位
     */
     private String valueUnit ;


    /**
     * 取值范围描述（用于界面展示，文字不应过多）
     */
     private String rangeDesc ;


    /**
     * 指令描述
     */
     private String commandDesc ;


    /**
     * 备注
     */
     private String commandMsg ;


    /**
     * 适用的设备描述
     */
     private String adaptDevice ;


    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime ;


    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime ;



}
