package com.topsail.uartBackend.uart.entity;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
    * 所有类型设备的详细配置表
    * </p>
 *
 * @author lj
 * @since 2022-08-01
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class DeviceConfigDetail implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
     private Integer id ;


    /**
     * 该类型设备的详细名称
     */
     private String deviceName ;


    /**
     * 硬件版本号
     */
     private String hardVersion ;


    /**
     * 软件版本号
     */
     private String softVersion ;


    /**
     * 所属设备类型
     */
     private String deviceType ;


    /**
     * 是否为TOPOS  1(是)，2(否)
     */
     private String topOs ;


    /**
     * 通用蓝牙名称（蓝牙名称-前的内容）
     */
     private String blueName ;


    /**
     * 蓝牙后数字位数
     */
     private Integer blueNumSize ;


    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime ;


    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime ;



}
