package com.topsail.uartBackend.uart.service.Impl;

import com.topsail.uartBackend.uart.entity.CommandType;
import com.topsail.uartBackend.uart.mapper.CommandTypeMapper;
import com.topsail.uartBackend.uart.service.CommandTypeService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;
import com.github.pagehelper.PageHelper;
import java.util.List;
import lombok.extern.slf4j.Slf4j;

/**
* <p>
    * 指令大类 服务实现类
    * </p>
*
* @author lj
* @since 2022-08-01
*/
@Service
@Slf4j
public class CommandTypeServiceImpl extends ServiceImpl<CommandTypeMapper, CommandType> implements CommandTypeService {


    @Autowired
    private CommandTypeMapper commandTypeMapper;

    /**
    *分页查询
    */
     @Override
     public List<CommandType> pageList(CommandType commandType,Integer pageNo, Integer pageSize) {
            QueryWrapper<CommandType> wrapper = new QueryWrapper<>();
            wrapper.setEntity(commandType);
            PageHelper.startPage(pageNo,pageSize);
            List<CommandType> list=list(wrapper);
            return list;
        }

        @Override
    public CommandType selectByTypeId(Integer typeId){
         return this.commandTypeMapper.selectByTypeId(typeId);
        }
}
