package com.topsail.uartBackend.uart.service.Impl;

import com.topsail.uartBackend.uart.entity.DeviceCommand;
import com.topsail.uartBackend.uart.mapper.DeviceCommandMapper;
import com.topsail.uartBackend.uart.service.DeviceCommandService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.util.StringUtils;
import com.github.pagehelper.PageHelper;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.RequestBody;

/**
* <p>
    * 设备-指令 关联表 服务实现类
    * </p>
*
* @author lj
* @since 2022-08-01
*/
@Transactional
@Service
@Slf4j
public class DeviceCommandServiceImpl extends ServiceImpl<DeviceCommandMapper, DeviceCommand> implements DeviceCommandService {


    @Autowired
    private DeviceCommandMapper deviceCommandMapper;

    /**
    *分页查询
    */
     @Override
     public List<DeviceCommand> pageList(DeviceCommand deviceCommand,Integer pageNo, Integer pageSize) {
            QueryWrapper<DeviceCommand> wrapper = new QueryWrapper<>();
            wrapper.setEntity(deviceCommand);
            PageHelper.startPage(pageNo,pageSize);
            List<DeviceCommand> list=list(wrapper);
            return list;
        }

     @Override
     public Boolean deleteByDevice(Integer deviceDetailId){
         return this.deviceCommandMapper.deleteByDevice(deviceDetailId);
        }


        @Override
        @Transactional
        public Boolean insertList( DeviceCommand deviceCommand){
         DeviceCommand deviceCommand1 = new DeviceCommand();
         if (null!= deviceCommand.getDeviceDetailId()){
             deviceCommandMapper.deleteByDevice(deviceCommand.getDeviceDetailId());
             if (deviceCommand.getIds().size()!=0){
                 deviceCommand.getIds().forEach(id->{
                     deviceCommand1.setCommandId(id);
                     deviceCommand1.setDeviceDetailId(deviceCommand.getDeviceDetailId());
                     deviceCommandMapper.insert(deviceCommand1);
                 });
             }
         }
         return true;
        }
        @Override
        @Transactional
        public Boolean updateList(List<DeviceCommand> deviceCommands){

             deviceCommands.forEach(deviceCommand -> {
                 deviceCommandMapper.deleteByDevice(deviceCommand.getDeviceDetailId());
                 deviceCommandMapper.insert(deviceCommand);
             });

            return true;
        }

}
