
package com.topsail.uartBackend.user.controller;



import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.topsail.uartBackend.core.CodeMsg;
import com.topsail.uartBackend.core.JwtUtil;
import com.topsail.uartBackend.user.service.UserService;
import com.topsail.uartBackend.user.entity.User;
import org.springframework.web.bind.annotation.*;
import org.springframework.beans.factory.annotation.Autowired;
import com.topsail.uartBackend.core.Result;

import java.util.HashMap;
import java.util.Map;


/**
*
* Created by pz on '2022-07-19 14:59:56'.
*/
@RestController
//@RequestMapping("/user")
@RequestMapping("user")

public class UserController {

    @Autowired
    private UserService userService;

    /**
    * 新增
    */
    @PostMapping("/insertUser")
    public Result insertUser( @RequestBody User user){
        User newUser = new User();
        if (null != user.getId() ){
            newUser = userService.getOne(new QueryWrapper<>(user));

        }
        if (newUser == null){
            return Result.error(new CodeMsg(502,"用户重复！"));
        }
        boolean rsp= userService.save(user);
        return rsp?Result.success("成功"):Result.error(new CodeMsg(502,"失败"));
    }

    /**
    * 删除
    */
    @DeleteMapping("/deleteUser/{id}")
       public Result deleteUser(@PathVariable Integer id){
        boolean rsp= userService.removeById(id);
        return rsp?Result.success("成功"):Result.error(new CodeMsg(502,"失败"));
    }

    /**
    * 更新
    */
    @PutMapping("/updateUser")
    public Result updateUser(@RequestBody User user){
        boolean rsp= userService.updateById(user);
        return rsp?Result.success("成功"):Result.error(new CodeMsg(502,"失败"));
    }



    /**
    * 分页查询
    */
    @GetMapping("/getUserList")

    public Result pageList(User user,@RequestParam(required = false,defaultValue = "1")Integer pageNo, @RequestParam(required = false,defaultValue = "10")Integer pageSize) {

        return Result.success(Result.returnPageMap(userService.pageList(user,pageNo,pageSize)));
    }

    /**
     * 登录
     * */
    @PostMapping("/login")
    public Result login(@RequestBody User user){
        User newUser = new User();
        if (null != user ){
            newUser = userService.getOne(new QueryWrapper<>(user));

        }else {
            return Result.error(new CodeMsg(502,"登录失败，请检查账号或密码！"));
        }

        if (null == newUser){
            return Result.error(new CodeMsg(502,"登录失败，请检查账号或密码！"));
        }

        String token = JwtUtil.getToken(user);
        Map<String, Object> map = new HashMap<>();
        map.put("token",token);
        map.put("user",newUser);
        if (2 == newUser.getStatus()){
            return Result.error(new CodeMsg(502,"该账户暂停使用！"));
        }
        return Result.success(map);
    }

}
